View Issue Details

IDProjectCategoryView StatusLast Update
0001276SOGoWeb Mailpublic2011-05-17 11:26
Reportercorradofiore Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.6 
Fixed in Version1.3.8 
Summary0001276: This email won't be correctly displayed
Description

Dear All,

I'm attaching an HTML email which SOGo webmail won't display correctly (it shows garbage characters).

TagsNo tags attached.

Activities

2011-05-02 13:09

 

message.eml (100,771 bytes)
Christian Mack

Christian Mack

2011-05-03 05:13

developer   ~0002420

That this is not displayed correctly isn't surprising at all.

The text/html part is invalid!

First there is an image tag before the actual html header!

----X----
<img src="http://click.expediamail.com/open.aspx?ffcb10-fec2177172600c7b-fe31117574610778731470-fed3167675640479-ff67167477-fe3015727665037b711477-fefd17777d6404&quot; width="1" height="1">

<html xmlns:xs="http://www.w3.org/2001/XMLSchema&quot; xmlns:fn="http://www.w3.org/2005/02/xpath-functions&quot; xmlns:xdt="http://www.w3.org/2005/02/xpath-datatypes&quot; xmlns:my="http://schemas.microsoft.com/office/infopath/2003/myXSD/2005-12-29T00:09:13&quot;>
----X----

Also it says "document is in utf-16" but this document is in utf-8!

----X----
<META http-equiv="Content-Type" content="text/html; charset=utf-16">
----X----

corradofiore

corradofiore

2011-05-03 07:23

reporter   ~0002421

Thanks for doing such a thorough analysis. I believe it can help developers make SOGo more capable of displaying also malformed messages, like most desktop clients do.

I've done a quick benchmark and found the following:

Apple Mail on Mac OS x 10.6.7 => 100% correct
Windows Mail on Vista => 100% correct
Thunderbird 3.1 on Mac OS X => few characters don't display correctly, overall fine
Thunderbird 3.1 on Vista => 100% correct

corradofiore

corradofiore

2011-05-03 15:40

reporter   ~0002424

I'm attaching a new sample message (message2.eml) which triggers a wrong rendering in SOGo (see screenshot). I've seen this behavior also with other messages (not only newsletters).

The same message displays fine in RoundCube, Apple Mail and Mozilla Thunderbird under OS X.

2011-05-03 15:40

 

message2.eml (22,988 bytes)

2011-05-03 15:40

 

ludovic

ludovic

2011-05-17 11:26

administrator   ~0002488

See http://mtn.inverse.ca/revision/diff/7543dc34aa33702ddf79bcb43feab4d72175bfc2/with/5fb0fae471bb22f9c4ce7361ef22d9d213f30c0b

Issue History

Date Modified Username Field Change
2011-05-02 13:09 corradofiore New Issue
2011-05-02 13:09 corradofiore File Added: message.eml
2011-05-03 05:13 Christian Mack Note Added: 0002420
2011-05-03 07:23 corradofiore Note Added: 0002421
2011-05-03 15:40 corradofiore Note Added: 0002424
2011-05-03 15:40 corradofiore File Added: message2.eml
2011-05-03 15:40 corradofiore File Added: message_2-parsing_error.png
2011-05-17 11:26 ludovic Note Added: 0002488
2011-05-17 11:26 ludovic Status new => resolved
2011-05-17 11:26 ludovic Fixed in Version => 1.3.8
2011-05-17 11:26 ludovic Resolution open => fixed
2011-05-17 11:26 ludovic Assigned To => ludovic